System.register(['@angular/core', "../../src/igniteui.angular2", '@angular/forms', "./../data/northwind", '@angular/platform-browser', '@angular/platform-browser-dynamic', './james.ts'], function(exports_1, context_1) {
    "use strict";
    var __moduleName = context_1 && context_1.id;
    var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
        var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
        if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
        else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
        return c > 3 && r && Object.defineProperty(target, key, r), r;
    };
    var __metadata = (this && this.__metadata) || function (k, v) {
        if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
    };
    var core_1, igniteui_angular2_1, forms_1, northwind_1, platform_browser_1, platform_browser_dynamic_1, james_ts_1;
    var AppComponent, AppModule;
    return {
        setters:[
            function (core_1_1) {
                core_1 = core_1_1;
            },
            function (igniteui_angular2_1_1) {
                igniteui_angular2_1 = igniteui_angular2_1_1;
            },
            function (forms_1_1) {
                forms_1 = forms_1_1;
            },
            function (northwind_1_1) {
                northwind_1 = northwind_1_1;
            },
            function (platform_browser_1_1) {
                platform_browser_1 = platform_browser_1_1;
            },
            function (platform_browser_dynamic_1_1) {
                platform_browser_dynamic_1 = platform_browser_dynamic_1_1;
            },
            function (james_ts_1_1) {
                james_ts_1 = james_ts_1_1;
            }],
        execute: function() {
            AppComponent = (function () {
                //private deleteRecord: any;
                function AppComponent() {
                    this.data = northwind_1.Northwind.getData();
                    this.id = 'grid1';
                    this.newProduct = this.createNewProduct();
                    this.gridOptions = {
                        autoCommit: true,
                        dataSource: this.data,
                        width: "100%",
                        height: "400px",
                        autoGenerateColumns: false,
                        columns: [
                            { key: "ProductID", headerText: "Product ID", width: "50px", dataType: "number" },
                            { key: "ProductName", headerText: "Name", width: "250px", dataType: "string" },
                            //{ key: "QuantityPerUnit", headerText: "Quantity per unit", width:"250px", dataType:"string" },
                            { key: "CustomComponent", headerText: "J", width: "250px", template: "<my-james></my-james>" },
                            { key: "UnitPrice", headerText: "Unit Price", width: "100px", dataType: "number", template: jQuery("#colTmpl").html() }
                        ],
                        primaryKey: "ProductID",
                        features: [
                            {
                                name: "Updating",
                                columnSettings: [
                                    { columnKey: "ProductID", readOnly: true }
                                ]
                            },
                            {
                                name: "Paging"
                            },
                            {
                                name: "Filtering"
                            },
                            {
                                name: "Sorting"
                            }
                        ]
                    };
                }
                AppComponent.prototype.createNewProduct = function () {
                    var newProduct = {};
                    newProduct["ProductID"] = this.data.length + 1;
                    newProduct["ProductName"] = null;
                    newProduct["QuantityPerUnit"] = null;
                    newProduct["UnitPrice"] = null;
                    return newProduct;
                };
                AppComponent.prototype.addRecord = function () {
                    this.data.push(this.newProduct);
                    this.newProduct = this.createNewProduct();
                };
                ;
                AppComponent.prototype.deleteRecord = function (val) {
                    var ind = 0;
                    this.data.filter(function (item, index) {
                        if (item["ProductID"] === val) {
                            ind = index;
                        }
                        ;
                        return item["ProductID"] === val;
                    });
                    this.data.splice(ind, 1);
                };
                ;
                AppComponent = __decorate([
                    core_1.Component({
                        selector: 'my-app',
                        templateUrl: "./igGridTemplate.html"
                    }), 
                    __metadata('design:paramtypes', [])
                ], AppComponent);
                return AppComponent;
            }());
            exports_1("AppComponent", AppComponent);
            AppModule = (function () {
                function AppModule() {
                }
                AppModule = __decorate([
                    core_1.NgModule({
                        imports: [platform_browser_1.BrowserModule, forms_1.FormsModule],
                        declarations: [AppComponent, igniteui_angular2_1.IgGridComponent, james_ts_1.James],
                        bootstrap: [AppComponent]
                    }), 
                    __metadata('design:paramtypes', [])
                ], AppModule);
                return AppModule;
            }());
            exports_1("AppModule", AppModule);
            platform_browser_dynamic_1.platformBrowserDynamic().bootstrapModule(AppModule);
        }
    }
});
//# sourceMappingURL=app.js.map